SETTERM(1)

NOM
setterm - Définir les attributs du terminal

SYNOPSIS
setterm [options]

DESCRIPTION
setterm affiche sur la sortie standard une chaîne de caractères qui invoquera les caractéristiques indiquées du terminal. Quand c'est possible, terminfo est consulté pour découvrir la chaîne à utiliser. Certaines options cependant (référencées par la suite par « consoles virtuelles uniquement ») ne correspondent pas à une caractéristique d'un terminfo(5). Dans ce cas de figure, si le type de terminal est « con » ou « linux » la chaîne affichée est celle qui invoque la caractéristique mentionnée sur la console virtuelle d'un PC MINIX. Les options non implémentées par le terminal sont ignorées.

OPTIONS
Pour les options booléennes (on ou off), la valeur par défaut est « on ».

Par soucis de concision, une valeur 8-couleur ci-dessous peut être « black », « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Une valeur 16-couleur peut être une des valeurs 8-couleur, « grey », ou « bright » suivi de « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Les différentes options de couleur peuvent être définies séparément, au moins sur les consoles virtuelles, bien que l'effet d'une définition multiple de modes (par exemple, -underline et -half-bright) soit dépendant du matériel.

-term nom_terminal
    Remplacer la variable d'environnement TERM

-reset
    Afficher la chaîne de restauration du terminal, qui rétablit habituellement le terminal dans son état de démarrage.

-initialize
    Afficher la chaîne d'initialisation du terminal, qui habituellement positionne aux valeurs par défaut les options de rendu du terminal, et d'autres attributs.

-cursor [on|off]
    Activer ou désactiver le curseur.

-repeat [on|off] (consoles virtuelles uniquement)
    Activer ou désactiver la répétition de touches du clavier.

-appcursorkeys [on|off] (consoles virtuelles uniquement)
    Activer ou désactiver le « Cursor Key Application Mode ». En mode actif (« on »), ESC O A, ESC O B, etc. sera envoyé à la place de ESC [ A, ESC [ B, etc. Les utilisateurs de vi se référeront à la section « vi and Cursor-Keys » du Text-Terminal-HOWTO (en anglais) pour connaître la raison des problèmes que cela peut poser.

-linewrap [on|off] (consoles virtuelles uniquement)
    Activer ou désactiver le passage automatique à la ligne

-default
    Positionner les options de rendu du terminal à leurs valeurs par défaut.

-foreground 8-couleur|default (consoles virtuelles uniquement)
    Définir la couleur du texte.

-background 8-couleur|default (consoles virtuelles uniquement)
    Définir la couleur d'arrière-plan du texte.

-ulcolor 16-couleur (consoles virtuelles uniquement)
    Définir la couleur des caractères soulignés.

-hbcolor 16-couleur (consoles virtuelles uniquement)
    Définir la couleur des caractères en demi-teintes (« half-bright »).

-inversescreen [on|off] (consoles virtuelles uniquement)
    Inverser les couleurs de l'écran. Le premier plan et l'arrière-plan sont inversés, de même pour le soulignement et la demi-teinte.

-bold [on|off]
    Activer ou désactiver le mode gras (surbrillance). À part sur une console virtuelle, -bold off désactive tous les attributs (gras, teinte, clignotant, inverse).

-half-bright [on|off]
    Activer ou désactiver le mode sombre (demi-teinte) (consultez -hbcolor). À part sur une console virtuelle, -half-bright off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

-blink [on|off]
    Activer ou désactiver le mode clignotant. À part sur une console virtuelle, -blink off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

-reverse [on|off]
    Activer ou désactiver le mode vidéo inverse. À part sur une console virtuelle, -reverse off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

-underline [on|off]
    Activer ou désactiver le mode souligné (consultez -ulcolor).

-store (consoles virtuelles uniquement)
    Conserver les options de rendu du terminal actif (couleurs de premier plan et d'arrière-plan) comme celles à utiliser lors d'une restauration des valeurs par défaut.

-clear [all]
    Effacer l'écran et « repositionner » le curseur, comme clear(1).

-clear rest
    Effacer l'écran à partir de la position actuelle du curseur.

-tabs [tab1 tab2 tab3 ...] (consoles virtuelles uniquement)
    Placer des marques de tabulation horizontale à des positions données du curseur, échelonnées de 1 à 160. Sans argument, afficher les marques de tabulation actuelles.

-clrtabs [tab1 tab2 tab3 ...] (consoles virtuelles uniquement)
    Effacer les marques de tabulation horizontale à partir de positions données du curseur, échelonnées de 1 à 160. Sans argument, effacer toutes les marques de tabulation.

-regtabs [1-160] (consoles virtuelles uniquement)
    Effacer toutes les marques de tabulation, puis positionner de manière répétitive une tabulation en accord avec un motif, toutes les x positions. Sans option, la valeur par défaut est 8.

-blank [0-60|force|poke] (consoles virtuelles uniquement)
    Définir l'intervalle d'inactivité, en minute, après lequel la console sera éteinte (en utilisant APM s'il est disponible). Sans option, renvoyer l'état de la console (renvoyer la console qui a été éteinte ou zéro pour une console non éteinte).

    L'option force laisse l'écran éteint même si une touche est pressée.

    L'option poke réveille la console.

-dump [1-numéro_console]
    Écrire un aperçu de la console virtuelle mentionnée (avec ses attributs) dans un fichier précisé par l'option -file, écrasant son contenu ; par défaut, il s'agit de screen.dump. Sans option, décharge la console virtuelle active. Écrase -append.

-append [1-numéro_console]
    Identique à -dump, mais ajoute l'aperçu au fichier au lieu de l'écraser. Ne fonctionne que s'il n'y a aucune option -dump.

-file nomfichierdépôt
    Définir le nom de fichier de l'aperçu pour chaque option -dump ou -append sur une même ligne de commande. Si cette option n'est pas présente, screen.dump est écrit dans le répertoire actuel. Un nom de chemin qui dépasse le maximum du système sera tronqué, consultez PATH_MAX dans linux/limits.h pour connaître sa valeur.

-msg [on|off] (consoles virtuelles uniquement)
    Activer ou désactiver l'affichage de messages printk() du noyau sur la console.

-msglevel 1-8 (consoles virtuelles uniquement)
    Définir la priorité de journalisation de la console pour les messages printk() du noyau. Tous les messages strictement plus importants seront affichés, de telle sorte qu'une priorité 0 aura le même effet que -msg on et qu'une priorité 8 affichera tous les messages du noyau. klogd(8) peut s'avérer une interface plus appropriée pour la journalisation des messages du noyau.

-powersave on|vsync
    Placer le moniteur en mode de suspension VESA vsync.

-powersave hsync
    Placer le moniteur en mode suspension VESA hsync.

-powersave powerdown
    Placer le moniteur en mode VESA powerdown.

-powersave [off]
    Désactiver les propriétés de préservation d'énergie du moniteur VESA.

-powerdown [0-60]
    Définir l'intervalle d'arrêt du moniteur VESA, en minute. Sans option, la valeur par défaut est 0 (désactiver l'arrêt). Si la console est éteinte ou si le moniteur est en mode suspendu, le moniteur se placera alors respectivement en mode vsync ou en mode powerdown après l'écoulement de la période.

-blength [0-2000]
    Définir la durée de la sonnette en milliseconde. Sans paramètre, 0 est utilisé par défaut.

-bfreq [fréquence]
    Définir la fréquence de la sonnette en hertz. Sans paramètre, 0 est utilisé par défaut.

-version
    Afficher les informations sur la version et quitter.

-help
    Afficher un écran d'aide et quitter.

VOIR AUSSI
tput(1), stty(1), terminfo(5), tty(4)

BOGUES
Les différences entre les versions MINIX et Linux ne sont pas documentées.

DISPONIBILITÉ
La commande setterm fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Philippe Piette <foudre-blanche AT skynet DOT be> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.